Skip to main content
POST
/
subscriptions
/
{id}
/
resume
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.subscriptions.resume({
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request POST \
--url https://api.crevio.co/v1/subscriptions/{id}/resume \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/subscriptions/{id}/resume"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/subscriptions/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "status": "<string>",
  "quantity": 123,
  "current_period_start": "2023-11-07T05:31:56Z",
  "current_period_end": "2023-11-07T05:31:56Z",
  "trial_ends_at": "2023-11-07T05:31:56Z",
  "ends_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "canceled": true,
  "paused": true
}
{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

Subscription resumed

id
string
required
object
string
required
status
string | null
required
quantity
integer
required
current_period_start
string<date-time> | null
required
current_period_end
string<date-time> | null
required
trial_ends_at
string<date-time> | null
required
ends_at
string<date-time> | null
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
canceled
boolean
required
paused
boolean
required